Manifest-Version: 1.0
Bnd-LastModified: 1675222396333
Build-Jdk: 11.0.4
Built-By: root
Bundle-Description: Apache Synapse - Commons classes
Bundle-DocURL: http://www.apache.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: Apache Synapse - Commons classes
Bundle-SymbolicName: synapse-commons
Bundle-Vendor: Apache Software Foundation
Bundle-Version: 4.0.0.wso2v12
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.apache.synapse.commons;uses:="org.apache.commons.log
 ging";version="4.0.0",org.apache.synapse.commons.beanstalk.enterprise;u
 ses:="javax.naming";version="4.0.0",org.apache.synapse.commons.builders
 ;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2.builder,o
 rg.apache.axis2.context";version="4.0.0",org.apache.synapse.commons.cry
 pto;uses:="org.apache.axis2";version="4.0.0",org.apache.synapse.commons
 .datasource;uses:="javax.naming,javax.sql,org.apache.synapse.commons.jm
 x,org.wso2.securevault.secret";version="4.0.0",org.apache.synapse.commo
 ns.datasource.factory;uses:="javax.sql,org.apache.synapse.commons.datas
 ource";version="4.0.0",org.apache.synapse.commons.datasource.serializer
 ;uses:="org.apache.synapse.commons.datasource";version="4.0.0",org.apac
 he.synapse.commons.emulator;uses:="com.google.gson,com.google.gson.refl
 ect";version="4.0.0",org.apache.synapse.commons.emulator.core;uses:="or
 g.apache.synapse.commons.emulator.http";version="4.0.0",org.apache.syna
 pse.commons.emulator.http;uses:="io.netty.channel,io.netty.channel.sock
 et,io.netty.handler.ssl,org.apache.synapse.commons.emulator.core,org.ap
 ache.synapse.commons.emulator.http.consumer,org.apache.synapse.commons.
 emulator.http.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.prod
 ucer,org.apache.synapse.commons.emulator.http.producer";version="4.0.0"
 ,org.apache.synapse.commons.emulator.http.consumer;uses:="io.netty.chan
 nel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.htt
 p.dsl";version="4.0.0",org.apache.synapse.commons.emulator.http.dsl;use
 s:="io.netty.channel,io.netty.handler.codec.http,org.apache.synapse.com
 mons.emulator.core,org.apache.synapse.commons.emulator.http,org.apache.
 synapse.commons.emulator.http.dsl.dto.consumer,org.apache.synapse.commo
 ns.emulator.http.dsl.dto.producer";version="4.0.0",org.apache.synapse.c
 ommons.emulator.http.dsl.dto;version="4.0.0",org.apache.synapse.commons
 .emulator.http.dsl.dto.consumer;uses:="io.netty.handler.codec.http,org.
 apache.synapse.commons.emulator.http.consumer,org.apache.synapse.common
 s.emulator.http.dsl.dto";version="4.0.0",org.apache.synapse.commons.emu
 lator.http.dsl.dto.producer;uses:="io.netty.handler.codec.http,org.apac
 he.synapse.commons.emulator.http.dsl.dto";version="4.0.0",org.apache.sy
 napse.commons.emulator.http.producer;uses:="io.netty.buffer,io.netty.ch
 annel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.h
 ttp.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.producer";vers
 ion="4.0.0",org.apache.synapse.commons.evaluators;uses:="org.apache.axi
 om.om,org.apache.axis2.context,org.apache.synapse.commons.evaluators.so
 urce";version="4.0.0",org.apache.synapse.commons.evaluators.config;uses
 :="org.apache.axiom.om,org.apache.commons.logging,org.apache.synapse.co
 mmons.evaluators,org.apache.synapse.commons.evaluators.source";version=
 "4.0.0",org.apache.synapse.commons.evaluators.source;uses:="org.apache.
 synapse.commons.evaluators";version="4.0.0",org.apache.synapse.commons.
 executors;version="4.0.0",org.apache.synapse.commons.executors.config;u
 ses:="javax.xml.namespace,org.apache.axiom.om,org.apache.axis2,org.apac
 he.synapse.commons.executors";version="4.0.0",org.apache.synapse.common
 s.executors.queues;uses:="org.apache.synapse.commons.executors";version
 ="4.0.0",org.apache.synapse.commons.formatters;uses:="org.apache.axiom.
 om,org.apache.axis2,org.apache.axis2.context,org.apache.axis2.transport
 ";version="4.0.0",org.apache.synapse.commons.handlers;uses:="org.apache
 .axis2.context";version="4.0.0",org.apache.synapse.commons.handlers.exc
 eption;version="4.0.0",org.apache.synapse.commons.jmx;uses:="javax.mana
 gement.remote,javax.security.auth,org.wso2.securevault.secret";version=
 "4.0.0",org.apache.synapse.commons.json;uses:="javax.xml.stream,org.apa
 che.axiom.om,org.apache.axis2,org.apache.axis2.builder,org.apache.axis2
 .context,org.apache.axis2.transport,org.apache.synapse.commons.staxon.c
 ore.json";version="4.0.0",org.apache.synapse.commons.json.jsonprocessor
 .constants;version="4.0.0",org.apache.synapse.commons.json.jsonprocesso
 r.exceptions;version="4.0.0",org.apache.synapse.commons.json.jsonproces
 sor.parser;uses:="org.apache.synapse.commons.json.jsonprocessor.excepti
 ons";version="4.0.0",org.apache.synapse.commons.json.jsonprocessor.util
 s;uses:="com.google.gson,org.apache.synapse.commons.json.jsonprocessor.
 exceptions";version="4.0.0",org.apache.synapse.commons.json.jsonprocess
 or.validators;uses:="com.google.gson,org.apache.synapse.commons.json.js
 onprocessor.exceptions";version="4.0.0",org.apache.synapse.commons.json
 .staxon;version="4.0.0",org.apache.synapse.commons.logger;uses:="org.ap
 ache.axis2.context,org.apache.commons.logging,org.apache.http.protocol"
 ;version="4.0.0",org.apache.synapse.commons.resolvers;version="4.0.0",o
 rg.apache.synapse.commons.snmp;uses:="javax.management,org.snmp4j.agent
 .mo,org.snmp4j.smi";version="4.0.0",org.apache.synapse.commons.staxon.c
 ore.base;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.stream.u
 til,javax.xml.transform";version="4.0.0",org.apache.synapse.commons.sta
 xon.core.event;uses:="javax.xml.namespace,javax.xml.stream,javax.xml.st
 ream.events,javax.xml.stream.util";version="4.0.0",org.apache.synapse.c
 ommons.staxon.core.json;uses:="javax.xml.namespace,javax.xml.stream,org
 .apache.synapse.commons.staxon.core.base,org.apache.synapse.commons.sta
 xon.core.json.stream,org.apache.synapse.commons.staxon.core.json.stream
 .impl";version="4.0.0",org.apache.synapse.commons.staxon.core.json.jaxb
 ;uses:="javax.xml.bind,javax.xml.bind.annotation,javax.xml.namespace,ja
 vax.xml.stream,org.apache.synapse.commons.staxon.core.json";version="4.
 0.0",org.apache.synapse.commons.staxon.core.json.stream;uses:="javax.xm
 l.stream,org.apache.synapse.commons.staxon.core.json.stream.impl";versi
 on="4.0.0",org.apache.synapse.commons.staxon.core.json.stream.impl;uses
 :="org.apache.synapse.commons.staxon.core.json.stream";version="4.0.0",
 org.apache.synapse.commons.staxon.core.json.stream.util;uses:="javax.xm
 l.namespace,org.apache.synapse.commons.staxon.core.json.stream";version
 ="4.0.0",org.apache.synapse.commons.staxon.core.json.util;uses:="javax.
 xml.stream,javax.xml.stream.events,org.apache.synapse.commons.staxon.co
 re.util";version="4.0.0",org.apache.synapse.commons.staxon.core.util;us
 es:="javax.xml.namespace,javax.xml.parsers,javax.xml.stream,javax.xml.s
 tream.events,javax.xml.stream.util,org.w3c.dom";version="4.0.0",org.apa
 che.synapse.commons.staxon.core.xml.util;uses:="javax.xml.stream,javax.
 xml.stream.events,org.apache.synapse.commons.staxon.core.util";version=
 "4.0.0",org.apache.synapse.commons.templates.uri;version="4.0.0",org.ap
 ache.synapse.commons.templates.uri.parser;uses:="org.apache.synapse.com
 mons.templates.uri";version="4.0.0",org.apache.synapse.commons.throttle
 .core;uses:="javax.cache,javax.xml.namespace,org.apache.axis2.clusterin
 g,org.apache.axis2.context,org.apache.neethi";version="4.0.0",org.apach
 e.synapse.commons.throttle.core.factory;uses:="org.apache.synapse.commo
 ns.throttle.core";version="4.0.0",org.apache.synapse.commons.throttle.c
 ore.impl.domainbase;uses:="org.apache.synapse.commons.throttle.core";ve
 rsion="4.0.0",org.apache.synapse.commons.throttle.core.impl.ipbase;uses
 :="org.apache.synapse.commons.throttle.core";version="4.0.0",org.apache
 .synapse.commons.throttle.core.impl.rolebase;uses:="org.apache.synapse.
 commons.throttle.core";version="4.0.0",org.apache.synapse.commons.throt
 tle.core.internal;uses:="org.apache.synapse.commons.throttle.core,org.o
 sgi.service.component";version="4.0.0",org.apache.synapse.commons.throt
 tle.module;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2
 .context,org.apache.axis2.description,org.apache.axis2.engine,org.apach
 e.axis2.modules,org.apache.neethi,org.apache.synapse.commons.throttle.c
 ore";version="4.0.0",org.apache.synapse.commons.throttle.module.handler
 ;uses:="org.apache.axis2,org.apache.axis2.context,org.apache.axis2.engi
 ne,org.apache.axis2.handlers,org.apache.synapse.commons.throttle.core";
 version="4.0.0",org.apache.synapse.commons.throttle.module.utils;uses:=
 "org.apache.synapse.commons.throttle.core";version="4.0.0",org.apache.s
 ynapse.commons.throttle.module.utils.impl;uses:="org.apache.synapse.com
 mons.throttle.module.utils";version="4.0.0",org.apache.synapse.commons.
 transaction;uses:="javax.naming,javax.sql,javax.transaction,org.apache.
 commons.logging";version="4.0.0",org.apache.synapse.commons.util;uses:=
 "org.apache.axiom.om,org.apache.commons.logging";version="4.0.0",org.ap
 ache.synapse.commons.util.ext;version="4.0.0",org.apache.synapse.common
 s.vfs;uses:="org.apache.axiom.attachments,org.apache.axis2.context,org.
 apache.axis2.description,org.apache.axis2.transport,org.apache.commons.
 vfs2";version="4.0.0"
Import-Package: org.bouncycastle.jce.provider;version="[1.52.0,2.0.0)",c
 om.google.common.util.concurrent;resolution:=optional;version="[31.0,32
 )",com.google.gson;resolution:=optional;version="[2.9,3)",com.google.gs
 on.reflect;resolution:=optional;version="[2.9,3)",com.google.gson.strea
 m;resolution:=optional;version="[2.9,3)",io.netty.bootstrap;resolution:
 =optional;version="[4.1,5)",io.netty.buffer;resolution:=optional;versio
 n="[4.1,5)",io.netty.channel;resolution:=optional;version="[4.1,5)",io.
 netty.channel.nio;resolution:=optional;version="[4.1,5)",io.netty.chann
 el.socket;resolution:=optional;version="[4.1,5)",io.netty.channel.socke
 t.nio;resolution:=optional;version="[4.1,5)",io.netty.handler.codec;res
 olution:=optional;version="[4.1,5)",io.netty.handler.codec.http;resolut
 ion:=optional;version="[4.1,5)",io.netty.handler.codec.http.cookie;reso
 lution:=optional;version="[4.1,5)",io.netty.handler.logging;resolution:
 =optional;version="[4.1,5)",io.netty.handler.ssl;resolution:=optional;v
 ersion="[4.1,5)",io.netty.handler.ssl.util;resolution:=optional;version
 ="[4.1,5)",io.netty.util;resolution:=optional;version="[4.1,5)",io.nett
 y.util.concurrent;resolution:=optional;version="[4.1,5)",javax.activati
 on;resolution:=optional;version="[0.0,1)",javax.cache;resolution:=optio
 nal;version="[1.0,2)",javax.management;resolution:=optional,javax.manag
 ement.remote;resolution:=optional,javax.naming;resolution:=optional,jav
 ax.naming.spi;resolution:=optional,javax.net.ssl;resolution:=optional,j
 avax.security.auth;resolution:=optional,javax.servlet.http;resolution:=
 optional;version="[3.0,4)",javax.sql;resolution:=optional,javax.transac
 tion;resolution:=optional,javax.transaction.xa;resolution:=optional,jav
 ax.xml.bind;resolution:=optional;version="[2.3,3)",javax.xml.bind.annot
 ation;resolution:=optional;version="[2.3,3)",javax.xml.parsers;resoluti
 on:=optional,javax.xml.stream;resolution:=optional;version="[1.0,2)",ja
 vax.xml.stream.events;resolution:=optional;version="[1.0,2)",javax.xml.
 stream.util;resolution:=optional;version="[1.0,2)",javax.xml.transform;
 resolution:=optional,javax.xml.transform.dom;resolution:=optional,javax
 .xml.transform.stream;resolution:=optional,org.apache.axiom.attachments
 ;resolution:=optional,org.apache.axiom.om;resolution:=optional,org.apac
 he.axiom.om.impl.builder;resolution:=optional,org.apache.axiom.om.impl.
 llom;resolution:=optional,org.apache.axiom.om.xpath;resolution:=optiona
 l,org.apache.axiom.soap;resolution:=optional,org.apache.axiom.util.base
 64;resolution:=optional,org.apache.axis2;resolution:=optional,org.apach
 e.axis2.addressing;resolution:=optional,org.apache.axis2.builder;resolu
 tion:=optional,org.apache.axis2.clustering;resolution:=optional,org.apa
 che.axis2.context;resolution:=optional,org.apache.axis2.description;res
 olution:=optional,org.apache.axis2.engine;resolution:=optional,org.apac
 he.axis2.handlers;resolution:=optional,org.apache.axis2.i18n;resolution
 :=optional,org.apache.axis2.java.security;resolution:=optional,org.apac
 he.axis2.modules;resolution:=optional,org.apache.axis2.transport;resolu
 tion:=optional,org.apache.axis2.transport.base;resolution:=optional;ver
 sion="[1.6,2)",org.apache.axis2.transport.base.threads;resolution:=opti
 onal;version="[1.6,2)",org.apache.axis2.transport.http;resolution:=opti
 onal;version="[1.6,2)",org.apache.axis2.transport.http.util;resolution:
 =optional;version="[1.6,2)",org.apache.axis2.util;resolution:=optional,
 org.apache.commons.io;resolution:=optional;version="[2.0,3)",org.apache
 .commons.io.output;resolution:=optional;version="[2.0,3)",org.apache.co
 mmons.lang;resolution:=optional;version="[2.4,3)",org.apache.commons.la
 ng3;resolution:=optional;version="[3.12,4)",org.apache.commons.lang3.ma
 th;resolution:=optional;version="[3.12,4)",org.apache.commons.logging;r
 esolution:=optional,org.apache.commons.vfs2;resolution:=optional,org.ap
 ache.commons.vfs2.impl;resolution:=optional,org.apache.commons.vfs2.pro
 vider;resolution:=optional,org.apache.commons.vfs2.provider.ftps;resolu
 tion:=optional,org.apache.commons.vfs2.util;resolution:=optional,org.ap
 ache.geronimo.mail.util;resolution:=optional;version="[1.4,2)",org.apac
 he.http.protocol;resolution:=optional,org.apache.logging.log4j;resoluti
 on:=optional;version="[2.17,3)",org.apache.neethi;resolution:=optional,
 org.apache.neethi.builders.xml;resolution:=optional,org.apache.synapse.
 commons;resolution:=optional,org.apache.synapse.commons.datasource;reso
 lution:=optional,org.apache.synapse.commons.datasource.factory;resoluti
 on:=optional,org.apache.synapse.commons.emulator;resolution:=optional,o
 rg.apache.synapse.commons.emulator.core;resolution:=optional,org.apache
 .synapse.commons.emulator.http;resolution:=optional,org.apache.synapse.
 commons.emulator.http.consumer;resolution:=optional,org.apache.synapse.
 commons.emulator.http.dsl;resolution:=optional,org.apache.synapse.commo
 ns.emulator.http.dsl.dto;resolution:=optional,org.apache.synapse.common
 s.emulator.http.dsl.dto.consumer;resolution:=optional,org.apache.synaps
 e.commons.emulator.http.dsl.dto.producer;resolution:=optional,org.apach
 e.synapse.commons.emulator.http.producer;resolution:=optional,org.apach
 e.synapse.commons.evaluators;resolution:=optional,org.apache.synapse.co
 mmons.evaluators.config;resolution:=optional,org.apache.synapse.commons
 .evaluators.source;resolution:=optional,org.apache.synapse.commons.exec
 utors;resolution:=optional,org.apache.synapse.commons.executors.queues;
 resolution:=optional,org.apache.synapse.commons.jmx;resolution:=optiona
 l,org.apache.synapse.commons.json.jsonprocessor.constants;resolution:=o
 ptional,org.apache.synapse.commons.json.jsonprocessor.exceptions;resolu
 tion:=optional,org.apache.synapse.commons.json.jsonprocessor.utils;reso
 lution:=optional,org.apache.synapse.commons.json.jsonprocessor.validato
 rs;resolution:=optional,org.apache.synapse.commons.staxon.core.base;res
 olution:=optional,org.apache.synapse.commons.staxon.core.event;resoluti
 on:=optional,org.apache.synapse.commons.staxon.core.json;resolution:=op
 tional,org.apache.synapse.commons.staxon.core.json.stream;resolution:=o
 ptional,org.apache.synapse.commons.staxon.core.json.stream.impl;resolut
 ion:=optional,org.apache.synapse.commons.staxon.core.json.stream.util;r
 esolution:=optional,org.apache.synapse.commons.staxon.core.json.util;re
 solution:=optional,org.apache.synapse.commons.staxon.core.util;resoluti
 on:=optional,org.apache.synapse.commons.templates.uri;resolution:=optio
 nal,org.apache.synapse.commons.templates.uri.parser;resolution:=optiona
 l,org.apache.synapse.commons.throttle.core;resolution:=optional,org.apa
 che.synapse.commons.throttle.core.factory;resolution:=optional,org.apac
 he.synapse.commons.throttle.core.impl.domainbase;resolution:=optional,o
 rg.apache.synapse.commons.throttle.core.impl.ipbase;resolution:=optiona
 l,org.apache.synapse.commons.throttle.core.impl.rolebase;resolution:=op
 tional,org.apache.synapse.commons.throttle.core.internal;resolution:=op
 tional,org.apache.synapse.commons.throttle.module;resolution:=optional,
 org.apache.synapse.commons.throttle.module.utils;resolution:=optional,o
 rg.apache.synapse.commons.throttle.module.utils.impl;resolution:=option
 al,org.apache.synapse.commons.util;resolution:=optional,org.apache.tomc
 at.dbcp.dbcp2;resolution:=optional;version="[9.0,10)",org.apache.tomcat
 .dbcp.dbcp2.cpdsadapter;resolution:=optional;version="[9.0,10)",org.apa
 che.tomcat.dbcp.dbcp2.datasources;resolution:=optional;version="[9.0,10
 )",org.jaxen;resolution:=optional;version="[1.2,2)",org.osgi.service.co
 mponent;resolution:=optional;version="[1.2,2)",org.snmp4j;resolution:=o
 ptional,org.snmp4j.agent;resolution:=optional,org.snmp4j.agent.mo;resol
 ution:=optional,org.snmp4j.agent.mo.snmp;resolution:=optional,org.snmp4
 j.log;resolution:=optional,org.snmp4j.mp;resolution:=optional,org.snmp4
 j.security;resolution:=optional,org.snmp4j.smi;resolution:=optional,org
 .snmp4j.transport;resolution:=optional,org.w3c.dom;resolution:=optional
 ,org.wso2.securevault;resolution:=optional,org.wso2.securevault.commons
 ;resolution:=optional,org.wso2.securevault.definition;resolution:=optio
 nal,org.wso2.securevault.keystore;resolution:=optional,org.wso2.securev
 ault.secret;resolution:=optional,org.xml.sax;resolution:=optional,org.x
 ml.sax.helpers;resolution:=optional,javax.xml.namespace;version="0.0.0"
Require-Capability: osgi.service;filter:="(objectClass=org.apache.synaps
 e.commons.throttle.core.DistributedCounterManager)";effective:=active;r
 esolution:=optional;cardinality:=multiple,osgi.ee;filter:="(&(osgi.ee=J
 avaSE)(version=1.8))"
Service-Component: OSGI-INF/throttle.core.services.xml
Tool: Bnd-3.3.0.201609221906
